org.jboss.resteasy.util

## Class DelegatingOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.jboss.resteasy.util.DelegatingOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class DelegatingOutputStream
      extends OutputStream

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected OutputStream` | `delegate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingOutputStream()`
    `DelegatingOutputStream(OutputStream delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `OutputStream` | `getDelegate()`
    `void` | `setDelegate(OutputStream delegate)`
    `void` | `write(byte[] bytes)`
    `void` | `write(byte[] bytes, int i, int i1)`
    `void` | `write(int i)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### delegate

          protected OutputStream delegate

  - ### Constructor Detail

    - #### DelegatingOutputStream

          public DelegatingOutputStream()

    - #### DelegatingOutputStream

          public DelegatingOutputStream(OutputStream delegate)

  - ### Method Detail

    - #### getDelegate

          public OutputStream getDelegate()

    - #### setDelegate

          public void setDelegate(OutputStream delegate)

    - #### write

          public void write(int i)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] bytes)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] bytes,
                   int i,
                   int i1)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `OutputStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `OutputStream`
      Throws:
        `IOException`

Copyright © 2014. All Rights Reserved.